openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/SWW_WI_DEADLINES_CHANGE:
    post:
      tags:
      - SWWA
      summary: Change Deadline Attributes of Work Item (Types W, E, F, and B)
      operationId: /rfc/SWW_WI_DEADLINES_CHANGE
      requestBody:
        content:
          application/json:
            schema:
              properties:
                AUTHORIZATION_CHECKED:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Indicator for Control of Authorization Check
                DEADLINES_CHECKED:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Indicator for Control of Deadline Check
                DO_COMMIT:
                  type: string
                  default: X
                  maxLength: 1
                  description: Indicator for Control of Commit Logic
                PRECONDITIONS_CHECKED:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Indicator for Control of Status Checks and Type Checks
                WI_ID:
                  type: integer
                  format: int64
                  description: Work Item ID
                DEADLINE_ATTRIBUTES:
                  type: array
                  items:
                    type: object
                    properties:
                      WI_DATTYPE:
                        type: string
                        maxLength: 2
                        description: 'Workflow: Deadline Type  enumValues: LS=Latest Start,DS=Requested Start,LE=Latest End,DE=Requested End'
                        enum:
                        - LS
                        - DS
                        - LE
                        - DE
                      WI_DATE:
                        type: string
                        format: date
                        description: Date of Next Start of Background Job (SY-ZONLO)
                      WI_TIME:
                        type: string
                        maxLength: 6
                        description: Time of Next Start of Background Job (SY-ZONLO)
                      WI_ACTION:
                        type: string
                        maxLength: 30
                        description: 'WI deadline monitoring: Funct.mod. to be triggered'
                      WI_ESC:
                        type: integer
                        format: int64
                        description: 'WI deadline monitoring: Escalation time'
                      WI_TIMESTAMP:
                        type: integer
                        format: int64
                        description: 'Workflow: UTC Time Stamp'
                      TIMESTAMP:
                        type: integer
                        format: int64
                        description: UTC Time Stamp in Long Form (YYYYMMDDhhmmssmmmuuun)
                      RETRY_CNT:
                        type: integer
                        format: int64
                        description: Retries for Work Items with Temporary Errors
                      ALERT_SEND:
                        type: string
                        maxLength: 1
                        description: 'Workflow: Alert Sent  enumValues: ""=No,X=Yes'
                        enum:
                        - ''
                        - X
                      RNDNUMBER:
                        type: integer
                        format: int64
                        description: 'Workflow: Random Number'
              required:
              - WI_ID
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  DEADLINES_EXIST:
                    type: string
                    maxLength: 1
                    description: Indicator Showing Whether At Least One Deadline Exists
                  DEADLINE_ATTRIBUTES:
                    type: array
                    items:
                      type: object
                      properties:
                        WI_DATTYPE:
                          type: string
                          maxLength: 2
                          description: 'Workflow: Deadline Type  enumValues: LS=Latest Start,DS=Requested Start,LE=Latest End,DE=Requested End'
                          enum:
                          - LS
                          - DS
                          - LE
                          - DE
                        WI_DATE:
                          type: string
                          format: date
                          description: Date of Next Start of Background Job (SY-ZONLO)
                        WI_TIME:
                          type: string
                          maxLength: 6
                          description: Time of Next Start of Background Job (SY-ZONLO)
                        WI_ACTION:
                          type: string
                          maxLength: 30
                          description: 'WI deadline monitoring: Funct.mod. to be triggered'
                        WI_ESC:
                          type: integer
                          format: int64
                          description: 'WI deadline monitoring: Escalation time'
                        WI_TIMESTAMP:
                          type: integer
                          format: int64
                          description: 'Workflow: UTC Time Stamp'
                        TIMESTAMP:
                          type: integer
                          format: int64
                          description: UTC Time Stamp in Long Form (YYYYMMDDhhmmssmmmuuun)
                        RETRY_CNT:
                          type: integer
                          format: int64
                          description: Retries for Work Items with Temporary Errors
                        ALERT_SEND:
                          type: string
                          maxLength: 1
                          description: 'Workflow: Alert Sent  enumValues: ""=No,X=Yes'
                          enum:
                          - ''
                          - X
                        RNDNUMBER:
                          type: integer
                          format: int64
                          description: 'Workflow: Random Number'
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
